boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem > Class Template Reference

2D point in Cartesian coordinate system More...

Inheritance diagram for boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >:

List of all members.

## Public Member Functions

| point_xy ()
| Default constructor, no initialization.
| point_xy (CoordinateType const &x, CoordinateType const &y)
| Constructor with x/y values.
CoordinateType const & | x () const
| Get x-value.
void | x (CoordinateType const &v)
| Set x-value.
CoordinateType const & | y () const
| Get y-value.
void | y (CoordinateType const &v)
| Set y-value.

## Detailed Description

### template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>
class boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >

2D point in Cartesian coordinate system

Template Parameters:

  CoordinateType | numeric type, for example, double, float, int
  CoordinateSystem | coordinate system, defaults to cs::cartesian

Examples:
  01_point_example.cpp, 02_linestring_example.cpp, 03_polygon_example.cpp, 06_a_transformation_example.cpp, 06_b_transformation_example.cpp, c04_a_custom_triangle_example.cpp, and c05_custom_point_pointer_example.cpp.

## Constructor & Destructor Documentation

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::point_xy | ( |  | ) |

Default constructor, no initialization.

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::point_xy | ( | CoordinateType const & | x,
|  | CoordinateType const & | y
| ) |  |

Constructor with x/y values.

## Member Function Documentation

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

CoordinateType const& boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::x | ( |  | ) | const

Get x-value.

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

CoordinateType const& boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::y | ( |  | ) | const

Get y-value.

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

void boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::x | ( | CoordinateType const & | v | ) |

Set x-value.

template<typename CoordinateType, typename CoordinateSystem = cs::cartesian>

void boost::geometry::model::d2::point_xy< CoordinateType, CoordinateSystem >::y | ( | CoordinateType const & | v | ) |

Set y-value.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK